<?php
/*
	--Содержание файла--
	1. Верхнее wap меню + уведомление (aut)
	2. Заголовок станицы и реклама под заголовком
	3. Вывод остальной рекламы
	4. Генератор пароля (passgen)
*/
 //-- 1. Верхнее wap меню + уведомление --\\
function aut()
	{
	global $set;
		if ($set['web']==false) // В web версии не выводим
		{
		global $user;
			if (isset($user))
			{
			$k_new=mysql_result(mysql_query("SELECT COUNT(`mail`.`id`) FROM `mail` LEFT JOIN `users_konts` ON `mail`.`id_user` = `users_konts`.`id_kont` AND `users_konts`.`id_user` = '$user[id]' WHERE `mail`.`id_kont` = '$user[id]' AND (`users_konts`.`type` IS NULL OR `users_konts`.`type` = 'common' OR `users_konts`.`type` = 'favorite') AND `mail`.`read` = '0'"),0);
			$k_new_fav=mysql_result(mysql_query("SELECT COUNT(`mail`.`id`) FROM `mail` LEFT JOIN `users_konts` ON `mail`.`id_user` = `users_konts`.`id_kont` AND `users_konts`.`id_user` = '$user[id]' WHERE `mail`.`id_kont` = '$user[id]' AND (`users_konts`.`type` = 'favorite') AND `mail`.`read` = '0'"),0);
			$k_n_s_zak=mysql_result(mysql_query("SELECT COUNT(`forum_zakl`.`id_them`) FROM `forum_zakl` LEFT JOIN `forum_p` ON `forum_zakl`.`id_them` = `forum_p`.`id_them` AND `forum_p`.`time` > `forum_zakl`.`time` WHERE `forum_zakl`.`id_user` = '$user[id]' AND `forum_p`.`id` IS NOT NULL"),0);
			echo '<div class="location">
				 Привет, '.$user['nick'].'!
				 </div>
				 <div class="aut">
				 <a href="/umenu.php">Кабинет</a> | 
				 <a href="/exit.php">Выйти</a><br />';

				if ($k_new!=0 && $k_new_fav==0)
					echo '<a href="/new_mess.php">'.$k_new.' <img src="/style/icons/mess0.png" alt="'.$k_new.'" /></a>';
				if ($k_new_fav!=0)
					echo '<b><a href="/new_mess.php"><img src="/style/icons/mess_fav.png" alt="'.$k_new_fav.'" /> Сообщени'.($k_new_fav==1?'е':'я').'</a></b><br />';
				if ($k_n_s_zak>0)
					echo '<a href="/zakl.php" title="Новые сообщения в закладках">Сообщения в закладках ('.$k_n_s_zak.')</a><br />';
			}
			else
			{
				//echo "<marquee>Для того, чтобы пользоваться всеми возможностями сайта необходимо пройти <a href='/aut.php'>Авторизацию</a>. Если Вы еще не зарегистрированы, то Вам необходимо пройти процесс <a href='/reg.php'>Регистрации</a>.</marquee>\n";
				echo '<div class="aut"><a href="/aut.php">Вход</a> <a href="/reg.php">Регистрация</a></div>';

			}
		echo '</div>';
		}
	}
	
	 //-- 2. Заголовок станицы и реклама --\\
function title($title=NULL)
	{
	global $set;
		if ($set['web']==false) // В web версии не выводим
		{
			if ($title==NULL)$title=$set['title'];
			echo '<div class="title">'.$title.'</div>
				  <div class="rekl">';
			rekl(1);
			echo '</div>';
		}
	}
	
	//-- 3. Вывод остальной рекламы --\\
	function rekl($sel)
	{
	global $set;
		if ($sel==3 && $_SERVER['PHP_SELF']!='/index.php')$sel=4; // для страниц, кроме главной, у нас другая позиция

		$q=mysql_query("SELECT * FROM `rekl` WHERE `sel` = '$sel' AND `time_last` > '".time()."' ORDER BY id ASC");
			while ($post = mysql_fetch_assoc($q))
			{
				if ($sel==2)echo icons('rekl.png','code');
				if ($post['dop_str']==1)
					echo '<a'.($set['web']?' target="_blank"':null).' href="http://'.$_SERVER['SERVER_NAME'].'/go.php?go='.$post['id'].'>';
				else
					echo '<a'.($set['web']?' target="_blank"':null).' href="'.$post['link'].'">';

				if ($post['img']==NULL) echo $post['name'];
				else echo '<img src="'.$post['img'].'" alt="'.$post['name'].'" />';
				echo '</a><br />';
		}
	}

	//-- 4. Генератор пароля --\\
function passgen($k_simb=8, $types=3) 
	{
	$password='';
	$small='abcdefghijklmnopqrstuvwxyz';
	$large='ABCDEFGHIJKLMNOPQRSTUVWXYZ';
	$numbers='1234567890';
	mt_srand((double)microtime()*1000000); 
		for ($i=0; $i<$k_simb; $i++) 
		{ 
			$type=mt_rand(1,min($types,3));
			switch ($type) 
			{
				case 3:
					$password.=$large[mt_rand(0,25)];
					break;
				case 2:
					$password.=$small[mt_rand(0,25)];
					break;
				case 1:
					$password.=$numbers[mt_rand(0,9)];
					break;
			}
		}
		return $password;
	}
$passgen=&passgen();
	
	/*  
		Копирайт Dcms-Fiera  
		Без покупки лицензии снимать нельзя!
		Это на вашей совести
		Уважайте чужой труд
	*/
function copyright($fiera){
	return preg_replace('#</div>(\n|\r)*</body>#i', '<div style="font-size:small;text-align: center;">&copy; <a title="Модификация wap движка DCMS" href="http://dcms-fiera.ru">Dcms-Fiera</a> </div></div></body>', $fiera);
	}
	ob_start ("copyright");
?>